Hide navigation sidebar
Hide table of contents sidebar
Skip to content
XDG Desktop Portal documentation

- Common Conventions
  Toggle navigation of Common Conventions
  - Terminology
  - Requests
  - Sessions
  - Window Identifiers
  - Icons
- For App Developers
  Toggle navigation of For App Developers
  - Reasons to Use Portals
  - Convenience Libraries
  - API Reference
    Toggle navigation of API Reference
    - Registry
    - Account
    - Background
    - Camera
    - Clipboard
    - Documents
    - Dynamic Launcher
    - Email
    - File Chooser
    - File Transfer
    - Game Mode
    - Global Shortcuts
    - Inhibit
    - Input Capture
    - Location
    - Memory Monitor
    - Network Monitor
    - Notification
    - OpenURI
    - Power Profile Monitor
    - Print
    - Proxy Resolver
    - Realtime
    - Remote Desktop
    - Request
    - ScreenCast
    - Screenshot
    - Secret
    - Session
    - Settings
    - Trash
    - Usb
    - Wallpaper
- For Desktop Developers
  Toggle navigation of For Desktop Developers
  - Writing a New Backend
  - Configuration File
    Toggle navigation of Configuration File
    - portals.conf
  - System Integration
  - Backend D-Bus Interfaces
    Toggle navigation of Backend D-Bus Interfaces
    - Access
    - Account
    - App Chooser
    - Background
    - Clipboard
    - Dynamic Launcher
    - Email
    - File Chooser
    - Global Shortcuts
    - Inhibit
    - Input Capture
    - Lockdown
    - Notification
    - Permission Store
    - Print
    - Remote Desktop
    - Request
    - ScreenCast
    - Screenshot
    - Secret
    - Session
    - Settings
    - Usb
    - Wallpaper
  - Background Apps Monitor
- For Contributors
  Toggle navigation of For Contributors
  - Building & Running
  - Pull Requests & Issues
  - Architecture
    Toggle navigation of Architecture
    - Documents & FUSE

Back to top
Toggle table of contents sidebar